summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xanimegrep.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/animegrep.sh b/animegrep.sh
index 57502f5..5337c1b 100755
--- a/animegrep.sh
+++ b/animegrep.sh
@@ -101,7 +101,7 @@ function getsubs
{
# $1 = file
#echo "getting subs for "$1"";
- rm out/subs.srt;
+ rm out/subs.srt || true;
CFILE=$(basename "$1" .mkv);
#echo "CFILE is "$CFILE"";
#echo "extracting subs from $1 track ${TRACK} to out/subs.srt";
@@ -113,7 +113,7 @@ function grepsubs
{
# $1 = file $2 = CFILE
while read -r line; do
- ((x++));
+ ((x++)) || true;
#echo "line in grep ${line}";
#parselinie $x "$1" $line;
parseline "$1" "$line" "$2";
@@ -153,7 +153,7 @@ function merge
if [ $x != 0 ]; then
str+=" +"$f"";
fi
- ((x++));
+ ((x++)) || true;
done;
mkvmerge $str -o out/out.mkv
}